curl --request POST \
--url http://127.0.0.1:3000/api/v2/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3000/api/v2/users"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3000/api/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create a new user
Create a new user. Must pass your global (i.e. client) access_token.
This service returns the user’s password as plain text.
The automatic update of the user’s bank connections is disabled by default for any new user. User identifiers are regarded case-insensitive by finAPI.
Please note that finAPI generally has a restricted set of allowed characters for input fields. You can find the allowed characters here. If a field does not explicitly specify a set of allowed characters, then these are the characters that are allowed for the field. Some fields may specify a different set of characters, in which case this will be documented for the field (like for the ‘id’ field in this service).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
With any API call, you can pass a request ID. The request ID can be an arbitrary string with up to 255 characters. Passing a longer string will result in an error. If you don't pass a request ID for a call, finAPI will generate a random ID internally. The request ID is always returned back in the response of a service, as a header with name 'X-Request-Id'. We highly recommend to always pass a (preferably unique) request ID, and include it into your client application logs whenever you make a request or receive a response (especially in the case of an error response). finAPI is also logging request IDs on its end. Having a request ID can help the finAPI support team to work more efficiently and solve tickets faster.
Body
The body is of type object.
Response
Successful response

